> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Server

> This endpoint is used to update your dedicated server.

## Request

Send a `POST` request to below endpoint to update your dedicated server.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/flux_klein/update_server' \
```

## Body

```json json theme={null}
{ 
    "key": "enterprise_api_key"
}
```


## OpenAPI

````yaml POST /flux_klein/update_server
openapi: 3.0.0
info:
  title: ModelsLab Enterprise Flux Klein API
  version: 1.0.0
  description: >-
    Enterprise endpoints for Flux Klein API including cache clearing, queue
    clearing, fetch, server management.
servers:
  - url: https://modelslab.com/api/v1/enterprise
security: []
paths:
  /flux_klein/update_server:
    post:
      summary: Update Server
      description: Updates the dedicated server to the latest version.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: Your API key
              required:
                - key
      responses:
        '200':
          description: Server updated successfully
          content:
            application/json:
              example:
                status: success
                message: Server updated successfully

````